<template>
  <div class="shopping-cart-main">
    <div v-if="confirmedNoScam" class="confirm">
      <div class="summary">
        <h1>Thanks a lot for your order!</h1>
        <p>Your cookie will be sent soon.</p>
        <p class="last-el">
          Go <a href="#" @click="confirmedNoScam = false">back</a> and order the
          new one :)
        </p>
      </div>
    </div>
    <div v-if="firstStepToBuy" class="confirm">
      <div class="summary">
        <h1>Confirm your order.</h1>
        <p>
          You have to pay: <span class="to-pay">{{ toPay }} $</span>
        </p>
        <button class="select-btn cancel" @click="firstStepToBuy = false">
          Cancel
        </button>
        <button class="select-btn buy" @click="finalConfirm()">Buy it!</button>
      </div>
    </div>
    <div class="cart">
      <h1>Cart</h1>
      <ul>
        <li>{{ currentBase.name }} - for {{ currentBase.price }}$</li>
        <li v-for="currAddon of currentAddons" :key="currAddon.name">
          {{ currAddon.name }} - for {{ currAddon.price }}$
          <button class="select-btn" @click="removeAddon(currAddon)">
            delete
          </button>
        </li>
      </ul>
      <p>
        To pay: <span class="to-pay">{{ toPay }} $</span>
      </p>
      <button class="btn select-btn" @click="firstStepToBuy = true">Buy</button>
    </div>
  </div>
</template>

<script>
export default {
  mounted() {
    console.log(this.currentAddons);
  },
  data() {
    return {
      firstStepToBuy: false,
      confirmedNoScam: false,
    };
  },
  computed: {
    currentBase() {
      return this.$store.getters.getCurrentBase;
    },
    currentAddons() {
      return this.$store.getters.getCurrentAddons;
    },
    toPay() {
      let toPay = this.currentBase.price;
      this.currentAddons.forEach((el) => {
        toPay += el.price;
      });
      return toPay;
    },
  },
  methods: {
    removeAddon(currAddon) {
      console.log("click", currAddon);
      this.$store.commit("deleteCookieAddon", currAddon);
      this.$store.commit("savedCookieAddonsInBrowser");
    },
    finalConfirm() {
      // go back and orther the new one :)
      this.$store.commit("resetCookies");
      this.confirmedNoScam = true;
      this.firstStepToBuy = false;
    },
  },
};
</script>

<style scoped>
.cart ul {
  list-style: none;
}
.shopping-cart-main {
  margin: 20px 0 0 20px;
  min-width: 20%;
  border-radius: 12px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.26);
  background-color: #eee;
  padding: 1rem;
}
.select-btn {
  background: #b0a797;
  color: black;
  text-decoration: none;
  padding: 5px;
  border: 1px solid #463412;
  font-weight: bold;
  margin: 3px;
  border-radius: 3px;
  display: inline-block;
  transition: all 0.3s;
  cursor: pointer;
}
.select-btn:hover {
  color: white;
  background: #000;
}
.btn {
  font-size: 24px;
  background: #b0a797;
  color: black;
  text-decoration: none;
  padding: 5px;
  border: 2px solid #463412;
  font-weight: bold;
  margin: 3px;
  border-radius: 3px;
  display: inline-block;
  transition: all 0.3s;
  cursor: pointer;
}
.btn:hover {
  color: white;
  background: #444;
}
.confirm .select-btn {
  margin-bottom: 20px;
}
.confirm .last-el {
  padding-bottom: 20px;
}
.to-pay {
  font-size: 1.5rem;
  font-weight: bold;
}
.confirm {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  background-color: rgba(0, 0, 0, 0.75);
  z-index: 777;
}
.summary {
  position: relative;
  top: 22vh;
  left: 10%;
  /* min-width: 200px; */
  width: 80%;
  background-color: #fff;
  z-index: 777;
  border-radius: 12px;
  border: none;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.26);
}
.summary h1 {
  padding-top: 20px;
}
</style>
